Multiple OfficeLite?

  • Hello everyone,


    Question1 :

    Trying to get info on OL versions. Goal is to be able to run multiple KSS versions for current crop of controllers (KRC4 and KRC5).

    So far OL license was always matching specific KSS version and there is OL for KSS 8.2, 8.3, 8.5 and so on...

    Recently there were hints and rumors of license option that would allow running different versions of OL.

    Is there such a thing? Maybe a whole new product or bundle? What article number?


    Question2 :

    Next issue is with compatibility... Newer OL releases seem to support vmware or Hyper-V or both. In theory different VMs should be completely isolated from each other (one of major points for using VM) but... my experience is that thing can go sideways... So i have to aks...

    Are they able to coexist - trouble free - on same host? If not then what are the limitations or restrictions?


    Question3 :

    That brings up another point...

    How is OL that supports both vmware and Hyper-V delivered? Are images of both VMs included and same license works in both? Can user choose which one to run?


    Question4 :

    About license upgrades...

    I am interested in running multiple versions but someone brought up question of migration or software upgrade. Is there such a thing?


    Question5:

    About license renewal...

    Frankly i am sick and tired of licensing scheme where every year i need to apply, wait and then activate new license in order to just continue using product that is already paid for. There need to be a law against this. I have other things to worry about and do not want to be bothered with renewals and keeping tabs on calendar. Somehow it always happens that my license expires just when i need to use the product, and Germany is in a different timezone, maybe has holiday etc. Why can't this be automated? Or why there is no product that does not require leash and contacting some human that is in a different time zone and maybe on a holiday?

    1) read pinned topic: READ FIRST...

    2) if you have an issue with robot, post question in the correct forum section... do NOT contact me directly

    3) read 1 and 2

  • Question1 :

    Trying to get info on OL versions. Goal is to be able to run multiple KSS versions for current crop of controllers (KRC4 and KRC5).

    So far OL license was always matching specific KSS version and there is OL for KSS 8.2, 8.3, 8.5 and so on...

    Recently there were hints and rumors of license option that would allow running different versions of OL.

    Is there such a thing? Maybe a whole new product or bundle? What article number?

    In the past I run KSS 4.1.OL, KSS 5.6.OL, KSS 8.2.OL, KSS 8.3.OL and KSS 8.5.OL at the same time.

    First it is basically a question of you host system:

    - memory KSS 4.1.OL 512 MB; all others 2048 MB (my host system had 16 GB of RAM)

    - CPU

    - HDD


    KSS 4.1.OL License Key was generated by a kind of hardware checksum

    others License Key was generated by using MAC Address and some other stuff


    Personally I do not think that up to KSS 8.5.OL they would change the licensing - but who knows

  • Question2 :

    Next issue is with compatibility... Newer OL releases seem to support vmware or Hyper-V or both. In theory different VMs should be completely isolated from each other (one of major points for using VM) but... my experience is that thing can go sideways... So i have to aks...

    Are they able to coexist - trouble free - on same host? If not then what are the limitations or restrictions?


    I'm remember to see the first versions of OL 8.6.x being VMware VMs, but now, as far I can tell, newer OL 8.6.x and above are being distributed just as Hyper-V images.


    And I guess this is related with some changes that came in Windows 11. I've read some reports elsewhere about VMware (and VirtualBox) not running properly in Win11 because a feature called Virtual Machine Platform, that is related with Hyper-V and WSL, but didn't gone deeper in this regard. You can disable this, but depending on your needs, You will have trouble trying to use Windows native virtualization features.

  • If you paid for the OL license you have permission to bypass the license checker but you have to do this for each version e.g if you activated 8.6.3 you can bypass and save it as a separate VM. Then you can update the licensed version to 8.6.6 and then make another by pass and safe as a new VM etc.


    Ofc you are able to copy those new VMs to another PC but it will be illegal If u bought a license for one PC.

  • so nobody has multiple version of OL side by side?


    how are Hyper-V and vmware tolerating each other?


    Got some feedback from KUKA but it is incomplete:

    OL8.7 floating license can be used to run older OL version (one at a time of course).

    The problem is that they are using different VM type and so far it does not look like they can coexist. in other words, one would need to uninstall one (say vmware) before using the other (hyper-V) and vice versa.


    OL 8.2 8.3, 8.5 only work with vmware

    OL 8.6 could be working with vmware (old?) or hyper-V

    OL 8.7 only works with hyper-V (documentation suggests that it too could be on vmware, maybe older vesion?)

    1) read pinned topic: READ FIRST...

    2) if you have an issue with robot, post question in the correct forum section... do NOT contact me directly

    3) read 1 and 2

  • yes but that is only one OL using only one VM. i also have OL8.5 with vmware 15.1 and it works too. word multiple means several (more than one).


    as far as information from KUKA goes, one cannot have all of mentioned OL versions using same type of VM (all OLs running on vmware .... or ... all of them running on hyper-V).


    so the question is if several OLs that use different VM software can exist side by side on the same host machine. KUKA suggests that they had trouble making that work. ideally i would want to have 8.5, 8.6 and 8.7 on my laptop and run one that i need whenever i want - without uninstalling either vmware or hyper-V

    1) read pinned topic: READ FIRST...

    2) if you have an issue with robot, post question in the correct forum section... do NOT contact me directly

    3) read 1 and 2

  • My former setups:

    Vmware Workstation 15.1: KSS 8.2.OL, KSS 8.3.OL, KSS 8.5.OL, KSS 8.6.OL

    Vmware Workstation 15.5: KSS 8.6.OL


    I checked the internet "vmware and hyper-v on same machine" and one result says:

    Vmware 15.5.5 and Windows 10 2004 (see) vmware and hyper-v will work together


    Therefore my answer to you would be like this: NO

    All KSS 8.x.OL versions run under Vmware 15.1 (only KSS V8.6 run under Vmware 15.5.5 which could coexists wit hyper-v)

Advertising from our partners